// TODO: ИМХО можем сделать потом класс BalloonSearchByNumber который будет имплементить необходимые методы,
//  типа getAddressByPart
export default entity => ({
  price: entity.price || 0,
  oldPrice: entity.old_price || 0,
  discountCheck: entity.discount_check || 0,
  sellerQuantity: true,
  sellerURL: `${entity.shop_id}/${entity.organization_id}#${entity.part_id}`,
  inStock: entity.in_stock || '',
  quantity: entity.quantity || 0,
  deliveryString: entity.delivery_string || '',
  avgRating: entity.avg_rating || '',
  feedbackCount: entity.feedback_count || '',
  shopId: entity.shop_id || '',
  shopName: entity.shop_name || '',
  organizationId: entity.organization_id || '',
  partId: entity.part_id || '',
  contactIsConfirmed: entity.contact_is_confirmed || '',
  cityName: entity.city_name || '',
  isNetShop: entity.is_netshop || '',
  street: entity.street || '',
  building: entity.building || '',
  office: entity.office || '',
  scheduleDayIsSet: entity.schedule_day_isset || '',
  // TODO: Так как это компонент ScheduleOpenedNow есть в текущем дизайне.
  // То поля объекта оставлеям в shake нотации
  schedule: {
    schedule_day_isset: entity.schedule_day_isset,
    current_date_time_with_tz: entity.current_date_time_with_tz,
    around_the_clock: entity.around_the_clock,
    opening_date_time: entity.opening_date_time,
    close_date_time: entity.close_date_time,
    dinner_begin_date_time: entity.dinner_begin_date_time,
    dinner_end_date_time: entity.dinner_end_date_time,
  },
});
